Bug 98077 - mouse cursor corrupts screen under hardware opengl applications
mouse cursor corrupts screen under hardware opengl applications
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
http://ninjacoder.com/corrupt.png
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-25 21:55 EDT by Aleksander Demko
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 01:55:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksander Demko 2003-06-25 21:55:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
Under RH9, the mouse cursor leaves behind a kind of delayed-redraw corruption
rectangle inside hardware rendered opengl applications.

Instead of tranperantly displaying the actual GL window under the cursor, it's
as if the previous under-the-cursor image is being draw - albeit too late. This
causes a bunch of mess to form around the cursor.

Please see the screen shot provided.

Hardware tested:
 - Matrox G400 32mb
 - NVidia TNT 16mb

Applications tested:
 - custom/interal GL apps
 - blender3d.org's Blender
 - glxgears
 - many small GL applications

No such corruption occurs if I force the application to use software GL (ie. set
LD_LIBRARY_PATH to use libraries from a freshly compiled MesaLib build). This
seems to point to something hardware related.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run any opengl based, in particular, those that run inside of a window
2. move cursor around the app redraws and renders its window
    

Actual Results:  Corruption.

Expected Results:  No corruption.

Additional info:

Xcursor thing, perhaps?
Comment 1 Chris Huebsch 2004-01-08 05:42:41 EST
Same problem with i830 on IBMs R31

Solution:

Option "SWCursor" "true" in XF86Config (Section Device)
Comment 2 Mike A. Harris 2004-10-01 01:55:36 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.